## List Plans

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/plans \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/plans"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/plans', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes

- **200**: Successful response
- **4XX**: Client errors
- **5XX**: Server errors

### Sample Response

```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "customFields": {},
      "planTemplateId": "<string>",
      "productId": "<string>",
      "name": "<string>",
      "code": "<string>",
      "standingCharge": 123,
      "standingChargeDescription": "<string>",
      "ordinal": 123,
      "bespoke": true,
      "minimumSpend": 123,
      "minimumSpendDescription": "<string>",
      "standingChargeBillInAdvance": true,
      "minimumSpendBillInAdvance": true,
      "minimumSpendAccountingProductId": "<string>",
      "standingChargeAccountingProductId": "<string>",
      "accountId": "<string>",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

### Error Response

```json
{
  "message": "<string>"
}
```

### Parameters

#### Authorizations
- **Authorization**: string, required, header
   - m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

#### Path Parameters
- **orgId**: string, required
   - UUID of the organization.

#### Query Parameters
- **pageSize**: integer, optional
   - Number of Plans to retrieve per page, range: `1 <= x <= 100`
- **nextToken**: string, optional
   - `nextToken` for multi-page retrievals.
- **productId**: string, optional
   - UUID of the Product to retrieve Plans for.
- **accountId**: string[], optional
   - List of Account IDs the Plan belongs to.
- **ids**: string[], optional
   - List of Plan IDs to retrieve.
